Bug 539642 - use native pci_get_bus_and_slot function
Summary: use native pci_get_bus_and_slot function
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.5
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 539589
Blocks: Rhel5KvmTier2
TreeView+ depends on / blocked
 
Reported: 2009-11-20 18:56 UTC by Eduardo Habkost
Modified: 2013-01-09 22:02 UTC (History)
5 users (show)

Fixed In Version: kvm-83-203.el5
Doc Type: Bug Fix
Doc Text:
Clone Of: 539589
Environment:
Last Closed: 2010-10-28 12:55:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0028 normal SHIPPED_LIVE Low: kvm security and bug fix update 2011-01-13 11:03:39 UTC

Description Eduardo Habkost 2009-11-20 18:56:37 UTC
Related to Bug #539589, once we solve the compat code conflict, we may consider using the recently-introduced native pci_get_bus_and_slot() function.


+++ This bug was initially created as a clone of Bug #539589 +++

Description of problem:

KVM can't build against newer RHEL-5.5 test kernels:

make[2]: Entering directory `/usr/src/kernels/2.6.18-174.el5-x86_64'
  LD      /var/lib/builder/rhevh/source-root/kvm/kernel/x86/built-in.o
  CC [M]  /var/lib/builder/rhevh/source-root/kvm/kernel/x86/svm.o
  CC [M]  /var/lib/builder/rhevh/source-root/kvm/kernel/x86/../external-module-compat.o
In file included from /var/lib/builder/rhevh/source-root/kvm/kernel/x86/../external-module-compat.c:312:
include/linux/pci.h:541: error: static declaration of ‘pci_get_bus_and_slot’ follows non-static declaration
/var/lib/builder/rhevh/source-root/kvm/kernel/x86/../external-module-compat-comm.h:565: error: previous declaration of ‘pci_get_bus_and_slot’ was here
/var/lib/builder/rhevh/source-root/kvm/kernel/x86/../external-module-compat.c:315: error: redefinition of ‘pci_get_bus_and_slot’
include/linux/pci.h:541: error: previous definition of ‘pci_get_bus_and_slot’ was here
make[4]: *** [/var/lib/builder/rhevh/source-root/kvm/kernel/x86/../external-module-compat.o] Error 1
make[3]: *** [/var/lib/builder/rhevh/source-root/kvm/kernel/x86] Error 2
make[2]: Leaving directory `/usr/src/kernels/2.6.18-174.el5-x86_64'
make[2]: *** [_module_/var/lib/builder/rhevh/source-root/kvm/kernel] Error 2
make[1]: *** [all] Error 2
make[1]: Leaving directory `/var/lib/builder/rhevh/source-root/kvm/kernel'
make: *** [kernel] Error 2

Comment 4 Eduardo Habkost 2010-10-13 00:37:26 UTC
Proper fix (fixing bug #641823) is on kvm-83-203.el5.


Note You need to log in before you can comment on or make changes to this bug.